#
# spec file for package python-requests-futures
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         short_name requests-futures
Name:           python-%{short_name}
Version:        1.0.0
Release:        bp154.1.25
Summary:        Asynchronous Python HTTP Requests for Humans using Futures
License:        Apache-2.0
URL:            https://github.com/ross/%{short_name}
Source:         https://files.pythonhosted.org/packages/source/r/%{short_name}/%{short_name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 38.6.1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests >= 1.2.0
BuildArch:      noarch
%ifpython2
Requires:       python-futures >= 2.1.3
%endif
%python_subpackages

%description
Small add-on for the python requests_ http library. Makes use of python 3.2’s
concurrent.futures or the backport for prior versions of python.

%prep
%setup -q -n %{short_name}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# online tests on http://httpbin.org
# %%python_exec -m unittest test_requests_futures

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Jun 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.0.0
  * The 'warn' method is deprecated, use 'warning' instead
  * Fix default number of workers
  * Drop Python 3.3
* Tue May  7 2019 pgajdos@suse.com
- version update to 0.9.9
  * no upstream changelog
* Thu Jan  4 2018 alarrosa@suse.com
- python3-futures doesn't exist so only require it when building
  the python2 flavor
* Wed May 17 2017 cbosdonnat@suse.com
- Convert the spec file to single spec one
* Wed Feb 22 2017 okurz@suse.com
- Initial submission of version 0.9.7 based on
  https://github.com/ross/requests-futures
